{ config, pkgs, ... }:
{
  imports = [
    ./options.nix
    ./keymaps.nix
    ./autocmd.nix
    ./plugins
  ];

  environment.systemPackages = if config.nixvim-config.enable then with pkgs; [
    ripgrep

    ## To get rid of checkhealth warnings
    chafa
    fd
    mercurial
    ueberzugpp
    viu
  ] else [];

  environment.interactiveShellInit = if config.nixvim-config.enable then  ''
    alias vi='nvim'
    alias vim='nvim'
    alias vimdiff='nvim -d'
  '' else "";
}
